| Home | Libraries | People | FAQ | More

###### http::message::erase (3 of 3 overloads)

(Inherited from `http::basic_fields`)

Remove all fields with the specified name.

###### Synopsis

    std::size_t
    erase(
        string_view name);

###### Description

All fields with the same field name are erased from the container. References and iterators to the erased elements are invalidated. Other references and iterators are not affected.

###### Parameters

Name | Description
--- | ---
`name` | The field name. It is interpreted as a case-insensitive string.

###### Return Value

The number of fields removed.